Bug 1027834 - Doesn't shutdown (doesn't even start to shutdown) [intermittent]
Doesn't shutdown (doesn't even start to shutdown) [intermittent]
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kde-workspace (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-07 07:56 EST by Dr. David Alan Gilbert
Modified: 2015-06-29 08:50 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:50:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dr. David Alan Gilbert 2013-11-07 07:56:53 EST
Description of problem:

I hit ctrl-alt-shift-pagedown to shutdown and nothing happens; similarly going to the KDE shutdown menu and nothing happens; this is intermittent; most times it works, but on some boots it doesn't

Version-Release number of selected component (if applicable):

kde-workspace-4.11.3-1.fc20.x86_64
pm-utils-1.4.1-26.fc20.x86_64

How reproducible:

~10% of time

Steps to Reproduce:
1. Login to KDE session
2. ctrl-alt-shift-pagedown or shutdown from K menu

Actual results:

Nothing happens at all! (system is still going strong, no shutdown process, all is still happy)

Expected results:

System shuts down

Additional info:

This only happens about 1/10 of boots-ish and there's no apparent pattern; so I'm really after any more debug I can gather when it does.

Bottom of journalctl -b is the following but it doesn't seem relevant and it doesn't get added to if I try the shutdown again:

Nov 07 12:49:59 major systemd[1]: Starting Network Manager Script Dispatcher Service...
Nov 07 12:49:59 major dbus-daemon[694]: dbus[694]: [system] Successfully activated service 'org.freedesktop.nm_dispatcher'
Nov 07 12:49:59 major dbus[694]: [system] Successfully activated service 'org.freedesktop.nm_dispatcher'
Nov 07 12:49:59 major systemd[1]: Started Network Manager Script Dispatcher Service.
Nov 07 12:50:01 major systemd[1]: Starting Session 13 of user root.
Nov 07 12:50:01 major systemd[1]: Started Session 13 of user root.
Nov 07 12:50:01 major CROND[8760]: (root) CMD (/usr/lib64/sa/sa1 1 1)
Nov 07 12:50:25 major dbus-daemon[694]: dbus[694]: [system] Activating via systemd: service name='org.freedesktop.ModemManager1' unit='dbus-org.freedesktop.ModemManager1.service'
Nov 07 12:50:25 major dbus-daemon[694]: dbus[694]: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.ModemManager1.service': Unit dbus-org.freedesktop.ModemManager1.service failed to load: No such file or directory.
Nov 07 12:50:25 major dbus[694]: [system] Activating via systemd: service name='org.freedesktop.ModemManager1' unit='dbus-org.freedesktop.ModemManager1.service'
Nov 07 12:50:25 major dbus[694]: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.ModemManager1.service': Unit dbus-org.freedesktop.ModemManager1.service failed to load: No such file or directory.

nothing seems to get added to .xsession-errors either

Running dbus-monitor, when I hit ctrl-alt-shift-pagedown I see:

signal sender=:1.5 -> dest=(null destination) serial=877 path=/component/ksmserver; interface=org.kde.kglobalaccel.Component; member=globalShortcutPressed
   string "ksmserver"
   string "Halt Without Confirmation"
   int64 6418437
method call sender=:1.5 -> dest=org.kde.knotify serial=878 path=/Notify; interface=org.kde.KNotify; member=event
   string "globalshortcutpressed"
   string "kglobalaccel"
   array [
      variant          string "application"
      variant          string "The KDE Session Manager"
   ]
   string ""
   string "The global shortcut for Halt Without Confirmation was issued."
   array [
   ]
   array [
   ]
   int32 -1
   int64 0
method return sender=:1.47 -> dest=:1.5 reply_serial=878
   int32 0

------------------------------------
Using the shutdown entry on the K->Leave menu I see:
signal sender=org.freedesktop.DBus -> dest=:1.114 serial=2 path=/org/freedesktop/DBus; interface=org.freedesktop.DBus; member=NameAcquired
   string ":1.114"
method call sender=:1.114 -> dest=org.freedesktop.DBus serial=3 path=/org/freedesktop/DBus; interface=org.freedesktop.DBus; member=AddMatch
   string "eavesdrop=true,type='method_call'"
method call sender=:1.114 -> dest=org.freedesktop.DBus serial=4 path=/org/freedesktop/DBus; interface=org.freedesktop.DBus; member=AddMatch
   string "eavesdrop=true,type='method_return'"
method call sender=:1.114 -> dest=org.freedesktop.DBus serial=5 path=/org/freedesktop/DBus; interface=org.freedesktop.DBus; member=AddMatch
   string "eavesdrop=true,type='error'"
method call sender=:1.13 -> dest=org.freedesktop.DBus serial=1709 path=/org/freedesktop/DBus; interface=org.freedesktop.DBus; member=GetNameOwner
   string "org.kde.ksmserver"
method call sender=:1.13 -> dest=org.freedesktop.DBus serial=1710 path=/org/freedesktop/DBus; interface=org.freedesktop.DBus; member=AddMatch
   string "type='signal',sender='org.freedesktop.DBus',interface='org.freedesktop.DBus',member='NameOwnerChanged',arg0='org.kde.ksmserver'"
method call sender=:1.13 -> dest=org.kde.ksmserver serial=1711 path=/KSMServer; interface=org.kde.KSMServerInterface; member=canShutdown
method return sender=:1.10 -> dest=:1.13 reply_serial=1711
   boolean true
method call sender=:1.13 -> dest=org.freedesktop.DBus serial=1712 path=/org/freedesktop/DBus; interface=org.freedesktop.DBus; member=RemoveMatch
   string "type='signal',sender='org.freedesktop.DBus',interface='org.freedesktop.DBus',member='NameOwnerChanged',arg0='org.kde.ksmserver'"
method call sender=:1.13 -> dest=org.freedesktop.DBus serial=1713 path=/org/freedesktop/DBus; interface=org.freedesktop.DBus; member=GetNameOwner
   string "org.kde.ksmserver"
method call sender=:1.13 -> dest=org.freedesktop.DBus serial=1714 path=/org/freedesktop/DBus; interface=org.freedesktop.DBus; member=AddMatch
   string "type='signal',sender='org.freedesktop.DBus',interface='org.freedesktop.DBus',member='NameOwnerChanged',arg0='org.kde.ksmserver'"
method call sender=:1.13 -> dest=org.kde.ksmserver serial=1715 path=/KSMServer; interface=org.kde.KSMServerInterface; member=canShutdown
method return sender=:1.10 -> dest=:1.13 reply_serial=1715
   boolean true
method call sender=:1.13 -> dest=org.freedesktop.DBus serial=1716 path=/org/freedesktop/DBus; interface=org.freedesktop.DBus; member=RemoveMatch
   string "type='signal',sender='org.freedesktop.DBus',interface='org.freedesktop.DBus',member='NameOwnerChanged',arg0='org.kde.ksmserver'"
method call sender=:1.13 -> dest=org.freedesktop.DBus serial=1717 path=/org/freedesktop/DBus; interface=org.freedesktop.DBus; member=GetNameOwner
   string "org.kde.ksmserver"
method call sender=:1.13 -> dest=org.freedesktop.DBus serial=1718 path=/org/freedesktop/DBus; interface=org.freedesktop.DBus; member=AddMatch
   string "type='signal',sender='org.freedesktop.DBus',interface='org.freedesktop.DBus',member='NameOwnerChanged',arg0='org.kde.ksmserver'"
method call sender=:1.13 -> dest=org.kde.ksmserver serial=1719 path=/KSMServer; interface=org.kde.KSMServerInterface; member=canShutdown
method return sender=:1.10 -> dest=:1.13 reply_serial=1719
   boolean true
method call sender=:1.13 -> dest=org.freedesktop.DBus serial=1720 path=/org/freedesktop/DBus; interface=org.freedesktop.DBus; member=RemoveMatch
   string "type='signal',sender='org.freedesktop.DBus',interface='org.freedesktop.DBus',member='NameOwnerChanged',arg0='org.kde.ksmserver'"
method call sender=:1.13 -> dest=org.freedesktop.DBus serial=1721 path=/org/freedesktop/DBus; interface=org.freedesktop.DBus; member=GetNameOwner
   string "org.kde.ksmserver"
method call sender=:1.13 -> dest=org.freedesktop.DBus serial=1722 path=/org/freedesktop/DBus; interface=org.freedesktop.DBus; member=AddMatch
   string "type='signal',sender='org.freedesktop.DBus',interface='org.freedesktop.DBus',member='NameOwnerChanged',arg0='org.kde.ksmserver'"
method call sender=:1.13 -> dest=org.kde.ksmserver serial=1723 path=/KSMServer; interface=org.kde.KSMServerInterface; member=canShutdown
method return sender=:1.10 -> dest=:1.13 reply_serial=1723
   boolean true
method call sender=:1.13 -> dest=org.freedesktop.DBus serial=1724 path=/org/freedesktop/DBus; interface=org.freedesktop.DBus; member=RemoveMatch
   string "type='signal',sender='org.freedesktop.DBus',interface='org.freedesktop.DBus',member='NameOwnerChanged',arg0='org.kde.ksmserver'"
method call sender=:1.13 -> dest=org.freedesktop.DBus serial=1725 path=/org/freedesktop/DBus; interface=org.freedesktop.DBus; member=GetNameOwner
   string "org.kde.ksmserver"
method call sender=:1.13 -> dest=org.freedesktop.DBus serial=1726 path=/org/freedesktop/DBus; interface=org.freedesktop.DBus; member=AddMatch
   string "type='signal',sender='org.freedesktop.DBus',interface='org.freedesktop.DBus',member='NameOwnerChanged',arg0='org.kde.ksmserver'"
method call sender=:1.13 -> dest=org.kde.ksmserver serial=1727 path=/KSMServer; interface=org.kde.KSMServerInterface; member=logout
   int32 -1
   int32 2
   int32 -1
method call sender=:1.13 -> dest=org.freedesktop.DBus serial=1728 path=/org/freedesktop/DBus; interface=org.freedesktop.DBus; member=RemoveMatch
   string "type='signal',sender='org.freedesktop.DBus',interface='org.freedesktop.DBus',member='NameOwnerChanged',arg0='org.kde.ksmserver'"
method return sender=:1.10 -> dest=:1.13 reply_serial=1727
Comment 1 Martin Bříza 2013-11-07 08:00:59 EST
Hi, 
can you please provide sddm version? I guess it's the cause.
Also, can you shutdown your computer using the shutdown or systemctl command directly?
Thank you
Comment 2 Dr. David Alan Gilbert 2013-11-07 11:59:32 EST
sddm-0.2.0-0.19.20130914git50ca5b20.fc20.x86_64

sudo shutdown -h now     works fine in the cases where it's stuck

I didn't know about the systemctl equivalent; I'll try it next time I hit it.
Comment 3 Rex Dieter 2013-11-07 12:26:18 EST
sddm-0.2.0-0.19 is known broken in that regard, please retest when sddm-0.2.0-0.20 hits -testing, 

https://admin.fedoraproject.org/updates/FEDORA-2013-19106
Comment 4 Fedora End Of Life 2015-05-29 05:42:52 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-06-29 08:50:50 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.